metaHTML

# Class: htmlTableExtendedInputField

Source Location: /lib/html.inc

### Class Overview

    htmlElement
       |
       --htmlInputField
          |
          --htmlTableExtendedInputField

An extended input field that combines label, input field and help.

### Methods

- __construct
- generateHTML
- setRequired

### Inherited Constants

#### Class: htmlElement

htmlElement::ALIGN_BOTTOM
htmlElement::ALIGN_CENTER
htmlElement::ALIGN_LEFT
htmlElement::ALIGN_RIGHT
htmlElement::ALIGN_TOP
htmlElement::OPTION_ALIGN

### Inherited Variables

#### Class: htmlElement

htmlElement::$alignment
htmlElement::$colspan
htmlElement::$rowspan

### Inherited Methods

#### Class: htmlInputField

htmlInputField::__construct()
  Constructor
htmlInputField::generateHTML()
  Prints the HTML code for this element.
htmlInputField::setFieldMaxLength()
  Sets the maximum field length.
htmlInputField::setFieldSize()
  Sets the field size.
htmlInputField::setIsEnabled()
  Specifies if this component is enabled and accepts user modification.
htmlInputField::setIsPassword()
  Specifies if this is a password field.

#### Class: htmlElement

htmlElement::generateHTML()
  Prints the HTML code for this element.
htmlElement::getAlignmentString()
  Returns the HTML attributes for the alignment.
htmlElement::getColspanString()
  Returns the HTML attribute for the colspan.
htmlElement::getRowspanString()
  Returns the HTML attribute for the rowspan.

### Class Details

[line 423]
An extended input field that combines label, input field and help.
[ Top ]

### Class Methods

### constructor __construct [line 440]

`htmlTableExtendedInputField __construct( String $label, String $fieldName, [String $fieldValue = null], [String $helpID = null])`

Constructor
Overrides htmlInputField::__construct() (Constructor)

#### Parameters:

String | $label | descriptive label
String | $fieldName | unique field name
String | $fieldValue | value of input field (optional)
String | $helpID | help ID (optional)

[ Top ]

### method generateHTML [line 457]

`array generateHTML( string $module, array $input, array $values, boolean $restricted, &$tabindex, string $scope, integer $tabindex)`

Prints the HTML code for this element.

#### Tags:

return: | List of input field names and their type (name => type)

Overrides htmlInputField::generateHTML() (Prints the HTML code for this element.)

#### Parameters:

string | $module | Name of account module
array | $input | List of meta-HTML elements
array | $values | List of values which override the defaults in $input (name => value)
boolean | $restricted | If true then no buttons will be displayed
integer | $tabindex | Start value of tabulator index for input fields
string | $scope | Account type
| &$tabindex |

[ Top ]

### method setRequired [line 480]

`void setRequired( boolean $required)`

Specifies if this input field must be filled.

#### Tags:

access: | public

#### Parameters:

boolean | $required | required or not

[ Top ]

Documentation generated on Thu, 28 Oct 2010 21:00:18 +0200 by phpDocumentor 1.4.1